//---------------------------------------------------------------------------

#ifndef SocketSetTimeFrmH
#define SocketSetTimeFrmH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <DBCtrls.hpp>
#include <Mask.hpp>
#include <Db.hpp>
#include <DB.hpp>
#include "NumberEdit.h"
//---------------------------------------------------------------------------
class TTimeSetFrm : public TForm
{
__published:	// IDE-managed Components
	TBitBtn *BitBtn1;
	TBitBtn *BitBtn2;
	TStaticText *StaticText1;
	TCheckBox *HoldChk;
	TEdit *HEd;
	TEdit *MEd;
	void __fastcall HoldChkClick(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall HEdKeyPress(TObject *Sender, char &Key);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall HEdKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall HEdEnter(TObject *Sender);
	void __fastcall HEdExit(TObject *Sender);
	void __fastcall FormKeyPress(TObject *Sender, char &Key);
private:	// User declarations
	TNumberEdit * NumberEdit;
	bool					bIgnore;
public:		// User declarations
	__fastcall TTimeSetFrm(TComponent* Owner);
	bool IsHold;
  AnsiString __fastcall GetTimeAsString();
};
//---------------------------------------------------------------------------
extern PACKAGE TTimeSetFrm *TimeSetFrm;
//---------------------------------------------------------------------------
#endif
