//---------------------------------------------------------------------------


#pragma hdrstop

#include "XLScanData.h"
//---------------------------------------------------------------------------
__fastcall XLScanData::XLScanData(TComponent *Owner):TComponent(Owner)
{
  putDefaults();
}
//---------------------------------------------------------------------------
__fastcall XLScanData::~XLScanData()
{
}
//---------------------------------------------------------------------------
void XLScanData::putDefaults()
{///Set the defaults for the scandata structure
  putScanNum (DEFAULT_SCANNUM);
  putScanTotal (DEFAULT_SCANTOTAL);
  putScanCell (DEFAULT_SCANCELL);
  putScanCondition (DEFAULT_SCANCOND);
  putScanType (DEFAULT_SCANTYPE);
  putScanDataFile (DEFAULT_SCANDATAFILE);
  for (short i = 0; i < NUM_CELLS; i++)
    putEstCellTime (i, DEFAULT_CELLTIME);
  putEstRotorTime (DEFAULT_ROTORTIME);
  putEstTotalTime (DEFAULT_TOTALTIME);
  putEstTimeLeft (DEFAULT_TOTALTIME);
  NoDelayCal ('N');
  FilterLevel ("0");
}
#pragma package(smart_init)
