//---------------------------------------------------------------------------


#include <vcl.h>
#pragma hdrstop
#include "EnumeratePorts.h"
//---------------------------------------------------------------------------
__fastcall EnumeratePorts::EnumeratePorts(TComponent *Owner):TComponent(Owner)
{
	Ports = new TList;
	PortNames = new TStringList;
	PortTypes = new TStringList;
	PortDescriptions = new TStringList;
	numports = GetPorts();
}
//---------------------------------------------------------------------------
__fastcall EnumeratePorts::~EnumeratePorts()
{
	delete Ports;
	delete PortNames;
	delete PortTypes;
	delete PortDescriptions;
}
//---------------------------------------------------------------------------
int __fastcall EnumeratePorts::GetPorts()
{///Load the ports
	PORT_INFO_2 *buffer;
	DWORD buffer_size;
	DWORD num_ports;
	unsigned i;
	//EnumPorts(server,use port info level 2,portinfobuffer,buffersize,numberofports
	// call twice, once to get the size and number of ports, once to load the buffer
	EnumPorts(NULL,2,(unsigned char *)buffer,0,&buffer_size,&num_ports);
	buffer = (PORT_INFO_2*)malloc(buffer_size);
	EnumPorts(NULL,2,(unsigned char *)buffer,buffer_size,&buffer_size,&num_ports);
	numports = num_ports;
	for ( i=0; i<num_ports; i++)
	 {///Loop over the ports and store the information
			PortNames->Add((AnsiString)buffer[i].pPortName);
			PortDescriptions->Add((AnsiString)buffer[i].pDescription);
			switch(buffer[i].fPortType)
				{///Determine the type of port
					case PORT_TYPE_WRITE:
							PortTypes->Add("Write");
							break;
					case PORT_TYPE_READ:
							PortTypes->Add("Read");
							break;
					case PORT_TYPE_REDIRECTED:
							PortTypes->Add("Redirected");
							break;
					case PORT_TYPE_NET_ATTACHED:
							PortTypes->Add("Network");
							break;
					default:
							PortTypes->Add("Unknown");
							break;
				}
	 }
	return num_ports;
}
//---------------------------------------------------------------------------

#pragma package(smart_init)
