//---------------------------------------------------------------------------

#ifndef SocketRpmSetH
#define SocketRpmSetH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Db.hpp>
#include "NumberEdit.h"
//---------------------------------------------------------------------------
class TRpmSetFrm : public TForm
{
__published:	// IDE-managed Components
  TPanel *Panel1;
  TStaticText *StaticText1;
  TStaticText *RpmTxt;
  TTrackBar *TrackBar1;
  TStaticText *MTxt;
  TBitBtn *OKBtn;
  TBitBtn *CancelBtn;
  TEdit *Edit1;
  void __fastcall TrackBar1Change(TObject *Sender);
  void __fastcall FormShow(TObject *Sender);
  void __fastcall OKBtnClick(TObject *Sender);
  void __fastcall Edit1Enter(TObject *Sender);
  void __fastcall Edit1Exit(TObject *Sender);
  void __fastcall Edit1KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
  void __fastcall Edit1KeyPress(TObject *Sender, char &Key);
  void __fastcall FormDestroy(TObject *Sender);
private:	// User declarations
  TEdit * ed;
  TNumberEdit * NumberEdit;
public:		// User declarations
  __fastcall TRpmSetFrm(TComponent* Owner);
  bool bIgnore;
  int MaxSpeed;
  int CurrentSpeed;
  int WhichStep;
};
//---------------------------------------------------------------------------
extern PACKAGE TRpmSetFrm *RpmSetFrm;
//---------------------------------------------------------------------------
#endif
