//---------------------------------------------------------------------------

#ifndef ViewMachineXMLH
#define ViewMachineXMLH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TMachineXMLViewer : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TComboBox *NamesCB;
	TTreeView *TreeView1;
	TSpeedButton *SpeedButton1;
	TSpeedButton *SpeedButton2;
	void __fastcall FormShow(TObject *Sender);
	void __fastcall NamesCBKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall NamesCBKeyPress(TObject *Sender, char &Key);
	void __fastcall NamesCBSelect(TObject *Sender);
	void __fastcall SpeedButton1Click(TObject *Sender);
	void __fastcall SpeedButton2Click(TObject *Sender);
private:	// User declarations
	void __fastcall UpdateComboBox();																						/// Get the list of names of the XMLDocuments on the MachineMod form
public:		// User declarations
	__fastcall TMachineXMLViewer(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMachineXMLViewer *MachineXMLViewer;
//---------------------------------------------------------------------------
#endif
